Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Data Structures | Public Member Functions | Data Fields
proofs::JWTWitness< EC, ScalarField, SHABlocks > Class Template Reference
Collaboration diagram for proofs::JWTWitness< EC, ScalarField, SHABlocks >:
[legend]

## Data Structures
struct | Jws

## Public Member Functions
bool | parse_jws (std::string jwt, Jws &jws)
| JWTWitness (const EC &ec, const ScalarField &Fn)
void | fill_witness (DenseFiller< Field > &filler) const
void | fill_sha (DenseFiller< Field > &filler, const FlatSHA256Witness::BlockWitness &bw) const
Nat | nat_from_u32 (const uint32_t be[]) const
Nat | nat_from_be (const uint8_t be[])
bool | compute_witness (std::string jwt, Elt pkX, Elt pkY, std::vector< OpenedAttribute > attrs)

## Data Fields
Elt | e_
Elt | dpkx_
Elt | dpky_
EcdsaWitness | sig_
EcdsaWitness | kb_sig_
uint8_t | preimage_ [64 *kMaxSHABlocks]
uint8_t | e_bits_ [256]
FlatSHA256Witness::BlockWitness | sha_bw_ [kMaxSHABlocks]
uint8_t | numb_
uint8_t | na_
size_t | payload_ind_
size_t | payload_len_
std::vector< size_t > | attr_ind_

The documentation for this class was generated from the following file:

- lib/circuits/jwt/jwt_witness.h